Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 880366 - [abrt] flumotion-0.10.0-2.fc17: service.py:83:_parseManagersWorkers:FatalError: No manager "admin"
Summary: [abrt] flumotion-0.10.0-2.fc17: service.py:83:_parseManagersWorkers:FatalErro...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: flumotion
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ebd5ec5410568ca16720c14ca08...
: 904680 1192555 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-26 20:17 UTC by orti1980
Modified: 2015-12-22 11:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-22 11:38:20 UTC
Type: ---


Attachments (Terms of Use)
File: executable (19 bytes, text/plain)
2012-11-26 20:17 UTC, orti1980
no flags Details
File: environ (1.94 KB, text/plain)
2012-11-26 20:18 UTC, orti1980
no flags Details
File: smolt_data (3.93 KB, text/plain)
2012-11-26 20:18 UTC, orti1980
no flags Details
File: core_backtrace (493 bytes, text/plain)
2012-11-26 20:18 UTC, orti1980
no flags Details

Description orti1980 2012-11-26 20:17:41 UTC
Version-Release number of selected component:
flumotion-0.10.0-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/sbin/flumotion -C /tmp/tmpRJHopN.flumotion/etc -L /tmp/tmpRJHopN.flumotion/var/log -R /tmp/tmpRJHopN.flumotion/var/run stop manager admin
kernel:         3.6.7-4.fc17.i686.PAE

backtrace:
:service.py:83:_parseManagersWorkers:FatalError: No manager "admin"
:
:Traceback (most recent call last):
:  File "/usr/sbin/flumotion", line 58, in <module>
:    _run_main(PROGRAM_PATH)
:  File "/usr/sbin/flumotion", line 51, in _run_main
:    sys.exit(main(sys.argv))
:  File "/usr/lib/flumotion/python/flumotion/service/main.py", line 83, in main
:    return servicer.stop(args[2:])
:  File "/usr/lib/flumotion/python/flumotion/service/service.py", line 183, in stop
:    (managers, workers) = self._parseManagersWorkers('stop', args)
:  File "/usr/lib/flumotion/python/flumotion/service/service.py", line 83, in _parseManagersWorkers
:    raise errors.FatalError, 'No manager "%s"' % name
:FatalError: No manager "admin"
:
:Local variables in innermost frame:
:managers: {}
:name: 'admin'
:workers: []
:args: ['manager', 'admin']
:command: 'stop'
:which: 'manager'
:self: <flumotion.service.service.Servicer instance at 0x9d2eccc>

Comment 1 orti1980 2012-11-26 20:17:44 UTC
Created attachment 652235 [details]
File: executable

Comment 2 orti1980 2012-11-26 20:18:49 UTC
Created attachment 652236 [details]
File: environ

Comment 3 orti1980 2012-11-26 20:18:51 UTC
Created attachment 652238 [details]
File: smolt_data

Comment 4 orti1980 2012-11-26 20:18:53 UTC
Created attachment 652240 [details]
File: core_backtrace

Comment 5 Fedora End Of Life 2013-07-04 04:02:00 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2013-08-01 12:28:57 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Sergio Basto 2015-05-08 13:08:48 UTC
*** Bug 904680 has been marked as a duplicate of this bug. ***

Comment 8 Sergio Basto 2015-05-08 13:20:20 UTC
*** Bug 1192555 has been marked as a duplicate of this bug. ***

Comment 9 Fedora Update System 2015-05-10 17:45:52 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc22

Comment 10 Fedora Update System 2015-05-10 17:46:38 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc21

Comment 11 Fedora Update System 2015-05-10 17:47:30 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc20

Comment 12 Fedora Update System 2015-05-12 20:37:54 UTC
Package flumotion-0.11.0.1-2.20140103git886031a.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing flumotion-0.11.0.1-2.20140103git886031a.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8019/flumotion-0.11.0.1-2.20140103git886031a.fc21
then log in and leave karma (feedback).

Comment 13 Jan Kurik 2015-12-22 11:32:44 UTC
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.


Note You need to log in before you can comment on or make changes to this bug.